#include "server.h"
#include <iostream>

// #ifdef _WIN32
// #define _CRTDBG_MAP_ALLOC
// #include <crtdbg.h>
// #endif

std::shared_ptr<spdlog::logger> g_Logger = nullptr;
int main()
{
// #ifdef _WIN32
//     _CrtSetDbgFlag(_CRTDBG_ALLOC_MEM_DF | _CRTDBG_LEAK_CHECK_DF);
// #endif
    g_Logger = get_logger("server", "server.log");
    asio::io_context io_context;
    CTcpServer server(io_context, g_Logger);
    if (!server.start(9898)) {
        return -1;
    }
    io_context.run();
// #ifdef _WIN32
//     _CrtDumpMemoryLeaks();
// #endif
    return 0;
}